libxkbcommon 1.2.1

Macros | Enumerations | Functions
xkbcommon-x11.h File Reference
`#include <xcb/xcb.h>`
`#include <xkbcommon/xkbcommon.h>`

## Macros
#define | XKB_X11_MIN_MAJOR_XKB_VERSION 1
#define | XKB_X11_MIN_MINOR_XKB_VERSION 0

## Enumerations
enum | xkb_x11_setup_xkb_extension_flags { XKB_X11_SETUP_XKB_EXTENSION_NO_FLAGS = 0 }

## Functions
int | xkb_x11_setup_xkb_extension (xcb_connection_t *connection, uint16_t major_xkb_version, uint16_t minor_xkb_version, enum xkb_x11_setup_xkb_extension_flags flags, uint16_t *major_xkb_version_out, uint16_t *minor_xkb_version_out, uint8_t *base_event_out, uint8_t *base_error_out)
int32_t | xkb_x11_get_core_keyboard_device_id (xcb_connection_t *connection)

## Detailed Description

libxkbcommon-x11 API - Additional X11 support for xkbcommon.